Index: branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyAlgorithm.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyAlgorithm.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyAlgorithm.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("Empty Algorithm", "A dummy algorithm which serves as a placeholder and cannot be executed.")]
-  [StorableClass]
+  [StorableClass("456A2D43-0C56-4473-A444-E488922D3790")]
   [NonDiscoverableType]
   public sealed class EmptyAlgorithm : HeuristicLab.Optimization.Algorithm {
Index: branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyEvaluator.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyEvaluator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("EmptyEvaluator", "A dummy evaluator which throws an exception when executed.")]
-  [StorableClass]
+  [StorableClass("965FB595-446C-41B3-955B-C224A023CAC9")]
   [NonDiscoverableType]
   public sealed class EmptyEvaluator : Operator, IEvaluator {
Index: branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveEvaluator.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveEvaluator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("EmptyMultiObjectiveEvaluator", "A dummy multi-objective evaluator which throws an exception when executed.")]
-  [StorableClass]
+  [StorableClass("C8AF966D-3637-44E2-9A8D-892B1C0DBEB0")]
   [NonDiscoverableType]
   public sealed class EmptyMultiObjectiveEvaluator : Operator, IMultiObjectiveEvaluator {
Index: branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveProblem.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveProblem.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("Empty Multi-Objective Problem", "A dummy multi-objective problem which serves as a placeholder and cannot be solved.")]
-  [StorableClass]
+  [StorableClass("1709CE7C-F568-4119-B21D-DC84ACF2951A")]
   [NonDiscoverableType]
   public sealed class EmptyMultiObjectiveProblem : MultiObjectiveHeuristicOptimizationProblem<EmptyMultiObjectiveEvaluator, EmptySolutionCreator> {
Index: branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyProblem.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyProblem.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("Empty Problem", "A dummy problem which serves as a placeholder and cannot be solved.")]
-  [StorableClass]
+  [StorableClass("BB40CB42-245F-4C27-B5F3-79D8BD717795")]
   [NonDiscoverableType]
   public sealed class EmptyProblem : HeuristicOptimizationProblem<EmptyEvaluator, EmptySolutionCreator> {
Index: branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveEvaluator.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveEvaluator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("EmptySingleObjectiveEvaluator", "A dummy single-objective evaluator which throws an exception when executed.")]
-  [StorableClass]
+  [StorableClass("0510FF22-0984-4617-9F4B-149503DC2CE1")]
   [NonDiscoverableType]
   public sealed class EmptySingleObjectiveEvaluator : Operator, ISingleObjectiveEvaluator {
Index: branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveProblem.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveProblem.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("Empty Single-Objective Problem", "A dummy single-objective problem which serves as a placeholder and cannot be solved.")]
-  [StorableClass]
+  [StorableClass("3B6FC72F-052E-4F45-8947-5FD111D2858A")]
   [NonDiscoverableType]
   public sealed class EmptySingleObjectiveProblem : SingleObjectiveHeuristicOptimizationProblem<EmptySingleObjectiveEvaluator, EmptySolutionCreator> {
Index: branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySolutionCreator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySolutionCreator.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySolutionCreator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("EmptySolutionCreator", "A dummy solution creator which throws an exception when executed.")]
-  [StorableClass]
+  [StorableClass("709F5794-AF7D-4611-A2E1-01A44C0104D6")]
   [NonDiscoverableType]
   public sealed class EmptySolutionCreator : Operator, ISolutionCreator {
Index: branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/ItemWrapper.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/ItemWrapper.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/ItemWrapper.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("ItemWrapper", "A wrapper which wraps an IItem.")]
-  [StorableClass]
+  [StorableClass("1B7BC7C9-DA34-40B6-9F34-A1BCA88066E2")]
   [NonDiscoverableType]
   public class ItemWrapper<T> : IItem where T : class, IItem {
Index: branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/MultiObjectiveOKBProblem.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/MultiObjectiveOKBProblem.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/MultiObjectiveOKBProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
   [Item("OKB Problem (multi-objective)", "Represents a multi-objective problem which is stored in the OKB.")]
   [Creatable(CreatableAttribute.Categories.TestingAndAnalysisOKB, Priority = 120)]
-  [StorableClass]
+  [StorableClass("9F1F2ED8-E3E9-428A-B864-3989EC50C3A5")]
   public sealed class MultiObjectiveOKBProblem : OKBProblem, IMultiObjectiveHeuristicOptimizationProblem, IStorableContent {
     public string Filename { get; set; }
Index: branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/NamedItemWrapper.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/NamedItemWrapper.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/NamedItemWrapper.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("NamedItemWrapper", "A wrapper which wraps an INamedItem.")]
-  [StorableClass]
+  [StorableClass("F4827304-4B4F-4735-B8C5-AA07D2EBE838")]
   [NonDiscoverableType]
   public class NamedItemWrapper<T> : ItemWrapper<T>, INamedItem where T : class, INamedItem {
Index: branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBAlgorithm.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBAlgorithm.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBAlgorithm.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -36,5 +36,5 @@
   [Item("OKB Algorithm", "An algorithm which is stored in the OKB.")]
   [Creatable(CreatableAttribute.Categories.TestingAndAnalysisOKB, Priority = 100)]
-  [StorableClass]
+  [StorableClass("5C022586-A7A9-43FC-886A-6556C0664CC6")]
   public sealed class OKBAlgorithm : Item, IAlgorithm, IStorableContent {
     public string Filename { get; set; }
Index: branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBProblem.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBProblem.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("OKB Problem", "A base class for problems which are stored in the OKB.")]
-  [StorableClass]
+  [StorableClass("8E679CF3-2083-4708-917F-D83CD67FE546")]
   public abstract class OKBProblem : Item, IHeuristicOptimizationProblem {
     public virtual Type ProblemType {
Index: branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBRun.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBRun.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBRun.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -35,5 +35,5 @@
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("OKB Run", "The parameters and results of an algorithm run which are stored in the OKB.")]
-  [StorableClass]
+  [StorableClass("D4BC7184-5F42-49A5-A43E-BD8D5295266F")]
   public sealed class OKBRun : NamedItemWrapper<IRun>, IRun, IStorableContent {
     public string Filename { get; set; }
Index: branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/SingleObjectiveOKBProblem.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/SingleObjectiveOKBProblem.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Clients.OKB/3.3/RunCreation/SingleObjectiveOKBProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
   [Item("OKB Problem (single-objective)", "Represents a single-objective problem which is stored in the OKB.")]
   [Creatable(CreatableAttribute.Categories.TestingAndAnalysisOKB, Priority = 110)]
-  [StorableClass]
+  [StorableClass("CB543CA3-0480-475F-AC99-0F6765F229BE")]
   public sealed class SingleObjectiveOKBProblem : OKBProblem, ISingleObjectiveHeuristicOptimizationProblem, IStorableContent {
     public string Filename { get; set; }
